Subject: Re: [Sip] PUBLISH message rates

From: "Vijay K. Gurbani" <[email-masked]>
Date: Wed, 12 Nov 2003 14:18:35 -0600

Adam Roach wrote:
> To get the conversation started on the list, I'll summarize
> what I heard as salient points being made at the microphone.
> 
>  - Event packages define SHOULD or MUST strength requirements
>    that NOTIFYs cannot be sent faster than a hard limit.
>    Aki's proposal can be summarized as: PUBLISH will inherit
>    these hard limits as maximum rates of publication.
> 
>  - It was pointed out that recipients of PUBLISH requests can
>    push back against excessive traffic with 5xx class responses
>    that have "Retry-After" headers.
> 
>  - A point was made that NOTIFY will often be subject to filtering,
>    in which case there is no one-to-one correlation between the
>    amount of information sent to an event server in PUBLISH and
>    the amount of information sent by an event server in NOTIFYs.

One more that I was about to point out but I believe
Henning also bought it out in his turn at the mic.

Given that we may have many publishers contributing
PUBLISH requests to the composer, does the rate limiting
apply to a single device, or does it apply to all PUBLISH
requests coming from the myriad devices?

I think it is hard to pin a number down, if not for
anything else than for the fact that the presence status
of a resource is an aggregate of many devices and each
device has no idea on how many others are participating.

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Wireless Networks Group/Internet Software and Services
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip